Skip to content

Use var instead of let when declaring variable multiple times, fix #128.

Thomas requested to merge github/fork/alxgrtnstrngl/issue-128 into master

Created by: alxgrtnstrngl

This is a fix for #128 (closed), I encountered the same issue when installing in GNOME 3.24. Let cannot be declared multiple times. I think this is due to changes as a result of the upgrade to Spidermonkey 38 [1] and ES6 [2].

[1] https://help.gnome.org/misc/release-notes/3.24/developers.html.en [2] https://stackoverflow.com/questions/36398258/typeerror-redeclaration-of-let-error-in-firebug-console-if-running-es6-code

Merge request reports